Get Alerts
Look up Alerts by their identifiers or using the identifiers of the Resources they are associated with
Example: GET /api/alerts?id={id1}&id={id2}&resourceId={resId1}&resourceId={resId2}
Request
URI
GET
https://{api_host}/suite-api/api/alerts
COPY
Query Parameters
string of
array
id
Optional
Identifiers of the Alerts
string of
array
resourceId
Optional
Identifiers of the Resources whose Alerts you need to be looked up
integer
page
Optional
Constraints:
default: 0
Page number from which data needs to be displayed (0-based)
integer
pageSize
Optional
Constraints:
default: 1000
Expected number of entries per page
Responses
200
Alerts matching the specified identifiers. Can be empty
Returns
alerts
of type(s)
application/json
"{\n \"alerts\" : [ {\n \"alertId\" : \"31eeaeec-82d5-4037-a59b-efed2e7c8e3a\",\n \"resourceId\" : \"c40271ed-5a59-4d8a-b98c-1aa3aa603a3f\",\n \"alertLevel\" : \"NONE\",\n \"startTimeUTC\" : 1753368185,\n \"cancelTimeUTC\" : 0,\n \"updateTimeUTC\" : 1753378185,\n \"suspendUntilTimeUTC\" : 0\n }, {\n \"alertId\" : \"18589dea-9999-1234-abba-f1ee73004dac\",\n \"resourceId\" : \"c40271ed-5a59-4d8a-b98c-1aa3aa603a3f\",\n \"alertLevel\" : \"NONE\",\n \"startTimeUTC\" : 1753368185,\n \"cancelTimeUTC\" : 0,\n \"updateTimeUTC\" : 1753378185,\n \"suspendUntilTimeUTC\" : 0\n } ]\n}"
array of
object
alerts
Optional
List of alerts
array of
object
links
Optional
Collection of links
object
pageInfo
Optional
Represents page information for a paged result
500
Error occurred while retrieving the Alert with the specified identifier
Operation doesn't return any data structure
Code Samples
COPY
curl -H 'Authorization: <value>' https://{api_host}/suite-api/api/alerts
Alerts Operations
GET
Get Alert Definitions
POST
Create Alert Definition
PUT
Update Alert Definition
POST
Query Alert Definitions
DELETE
Delete Alert Definition
GET
Get Alert Definition By Id
PUT
Disable Alert Definition In Policies
PUT
Enable Alert Definition In Policies
GET
Get Alerts
POST
Modify Alerts
DELETE
Delete Canceled Alerts
GET
Get Alert Contributing Symptoms
POST
Query Alert Groups
POST
Query Alert Notes
POST
Query Alert
GET
Get Alert Types
GET
Get Alert
GET
Get Alert Notes
POST
Add Alert Note
DELETE
Delete Alert Note
GET
Get Alert Note